<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Fri Oct 27 02:20:13 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Constant Field Values (org.eclipse.papyrus.designer.languages.common.profile 1.0.5 API)</title>
<meta name="date" content="2017-10-27">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Constant Field Values (org.eclipse.papyrus.designer.languages.common.profile 1.0.5 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?constant-values.html" target="_top">Frames</a></li>
<li><a href="constant-values.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Constant Field Values" class="title">Constant Field Values</h1>
<h2 title="Contents">Contents</h2>
<ul>
<li><a href="#org.eclipse">org.eclipse.*</a></li>
</ul>
</div>
<div class="constantValuesContainer"><a name="org.eclipse">
<!--   -->
</a>
<h2 title="org.eclipse">org.eclipse.*</h2>
<ul class="blockList">
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>org.eclipse.papyrus.designer.languages.common.profile.Codegen.<a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html" title="interface in org.eclipse.papyrus.designer.languages.common.profile.Codegen">CodegenPackage</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.ARCHE_TYPE">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#ARCHE_TYPE">ARCHE_TYPE</a></code></td>
<td class="colLast"><code>5</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.ARCHE_TYPE__ARTIFACT_ID">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#ARCHE_TYPE__ARTIFACT_ID">ARCHE_TYPE__ARTIFACT_ID</a></code></td>
<td class="colLast"><code>1</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.ARCHE_TYPE__BASE_CLASS">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#ARCHE_TYPE__BASE_CLASS">ARCHE_TYPE__BASE_CLASS</a></code></td>
<td class="colLast"><code>4</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.ARCHE_TYPE__GROUP_ID">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#ARCHE_TYPE__GROUP_ID">ARCHE_TYPE__GROUP_ID</a></code></td>
<td class="colLast"><code>0</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.ARCHE_TYPE__REPOSITORY">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#ARCHE_TYPE__REPOSITORY">ARCHE_TYPE__REPOSITORY</a></code></td>
<td class="colLast"><code>3</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.ARCHE_TYPE__VERSION">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#ARCHE_TYPE__VERSION">ARCHE_TYPE__VERSION</a></code></td>
<td class="colLast"><code>2</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.ARCHE_TYPE_FEATURE_COUNT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#ARCHE_TYPE_FEATURE_COUNT">ARCHE_TYPE_FEATURE_COUNT</a></code></td>
<td class="colLast"><code>5</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.ARCHE_TYPE_OPERATION_COUNT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#ARCHE_TYPE_OPERATION_COUNT">ARCHE_TYPE_OPERATION_COUNT</a></code></td>
<td class="colLast"><code>0</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.eNAME">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#eNAME">eNAME</a></code></td>
<td class="colLast"><code>"Codegen"</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.eNS_PREFIX">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#eNS_PREFIX">eNS_PREFIX</a></code></td>
<td class="colLast"><code>"Codegen"</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.eNS_URI">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#eNS_URI">eNS_URI</a></code></td>
<td class="colLast"><code>"http://www.eclipse.org/papyrus/Codegen/1"</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.EXCLUDED_DEPENDENCY">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#EXCLUDED_DEPENDENCY">EXCLUDED_DEPENDENCY</a></code></td>
<td class="colLast"><code>7</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.EXCLUDED_DEPENDENCY__ARTIFACT_ID">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#EXCLUDED_DEPENDENCY__ARTIFACT_ID">EXCLUDED_DEPENDENCY__ARTIFACT_ID</a></code></td>
<td class="colLast"><code>1</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.EXCLUDED_DEPENDENCY__BASE_CLASS">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#EXCLUDED_DEPENDENCY__BASE_CLASS">EXCLUDED_DEPENDENCY__BASE_CLASS</a></code></td>
<td class="colLast"><code>2</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.EXCLUDED_DEPENDENCY__GROUP_ID">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#EXCLUDED_DEPENDENCY__GROUP_ID">EXCLUDED_DEPENDENCY__GROUP_ID</a></code></td>
<td class="colLast"><code>0</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.EXCLUDED_DEPENDENCY_FEATURE_COUNT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#EXCLUDED_DEPENDENCY_FEATURE_COUNT">EXCLUDED_DEPENDENCY_FEATURE_COUNT</a></code></td>
<td class="colLast"><code>3</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.EXCLUDED_DEPENDENCY_OPERATION_COUNT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#EXCLUDED_DEPENDENCY_OPERATION_COUNT">EXCLUDED_DEPENDENCY_OPERATION_COUNT</a></code></td>
<td class="colLast"><code>0</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.GENERATION_MODE_KIND">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#GENERATION_MODE_KIND">GENERATION_MODE_KIND</a></code></td>
<td class="colLast"><code>10</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.GENERATOR_HINT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#GENERATOR_HINT">GENERATOR_HINT</a></code></td>
<td class="colLast"><code>1</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.GENERATOR_HINT__BASE_ELEMENT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#GENERATOR_HINT__BASE_ELEMENT">GENERATOR_HINT__BASE_ELEMENT</a></code></td>
<td class="colLast"><code>0</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.GENERATOR_HINT__GENERATOR_ID">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#GENERATOR_HINT__GENERATOR_ID">GENERATOR_HINT__GENERATOR_ID</a></code></td>
<td class="colLast"><code>2</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.GENERATOR_HINT__LANGUAGE">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#GENERATOR_HINT__LANGUAGE">GENERATOR_HINT__LANGUAGE</a></code></td>
<td class="colLast"><code>1</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.GENERATOR_HINT_FEATURE_COUNT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#GENERATOR_HINT_FEATURE_COUNT">GENERATOR_HINT_FEATURE_COUNT</a></code></td>
<td class="colLast"><code>3</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.GENERATOR_HINT_OPERATION_COUNT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#GENERATOR_HINT_OPERATION_COUNT">GENERATOR_HINT_OPERATION_COUNT</a></code></td>
<td class="colLast"><code>0</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.LANGUAGE">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#LANGUAGE">LANGUAGE</a></code></td>
<td class="colLast"><code>2</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.LANGUAGE__BASE_CLASS">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#LANGUAGE__BASE_CLASS">LANGUAGE__BASE_CLASS</a></code></td>
<td class="colLast"><code>0</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.LANGUAGE_FEATURE_COUNT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#LANGUAGE_FEATURE_COUNT">LANGUAGE_FEATURE_COUNT</a></code></td>
<td class="colLast"><code>1</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.LANGUAGE_OPERATION_COUNT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#LANGUAGE_OPERATION_COUNT">LANGUAGE_OPERATION_COUNT</a></code></td>
<td class="colLast"><code>0</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.MAVEN_DEPENDENCY">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#MAVEN_DEPENDENCY">MAVEN_DEPENDENCY</a></code></td>
<td class="colLast"><code>6</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.MAVEN_DEPENDENCY__ARTIFACT_ID">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#MAVEN_DEPENDENCY__ARTIFACT_ID">MAVEN_DEPENDENCY__ARTIFACT_ID</a></code></td>
<td class="colLast"><code>1</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.MAVEN_DEPENDENCY__BASE_CLASS">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#MAVEN_DEPENDENCY__BASE_CLASS">MAVEN_DEPENDENCY__BASE_CLASS</a></code></td>
<td class="colLast"><code>3</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.MAVEN_DEPENDENCY__EXCLUSIONS">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#MAVEN_DEPENDENCY__EXCLUSIONS">MAVEN_DEPENDENCY__EXCLUSIONS</a></code></td>
<td class="colLast"><code>4</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.MAVEN_DEPENDENCY__GROUP_ID">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#MAVEN_DEPENDENCY__GROUP_ID">MAVEN_DEPENDENCY__GROUP_ID</a></code></td>
<td class="colLast"><code>0</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.MAVEN_DEPENDENCY__VERSION">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#MAVEN_DEPENDENCY__VERSION">MAVEN_DEPENDENCY__VERSION</a></code></td>
<td class="colLast"><code>2</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.MAVEN_DEPENDENCY_FEATURE_COUNT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#MAVEN_DEPENDENCY_FEATURE_COUNT">MAVEN_DEPENDENCY_FEATURE_COUNT</a></code></td>
<td class="colLast"><code>5</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.MAVEN_DEPENDENCY_OPERATION_COUNT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#MAVEN_DEPENDENCY_OPERATION_COUNT">MAVEN_DEPENDENCY_OPERATION_COUNT</a></code></td>
<td class="colLast"><code>0</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.MAVEN_PROJECT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#MAVEN_PROJECT">MAVEN_PROJECT</a></code></td>
<td class="colLast"><code>4</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.MAVEN_PROJECT__ARCHE_TYPE">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#MAVEN_PROJECT__ARCHE_TYPE">MAVEN_PROJECT__ARCHE_TYPE</a></code></td>
<td class="colLast"><code>8</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.MAVEN_PROJECT__ARTIFACT_ID">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#MAVEN_PROJECT__ARTIFACT_ID">MAVEN_PROJECT__ARTIFACT_ID</a></code></td>
<td class="colLast"><code>6</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.MAVEN_PROJECT__BASE_MODEL">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#MAVEN_PROJECT__BASE_MODEL">MAVEN_PROJECT__BASE_MODEL</a></code></td>
<td class="colLast"><code>0</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.MAVEN_PROJECT__BASE_PACKAGE">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#MAVEN_PROJECT__BASE_PACKAGE">MAVEN_PROJECT__BASE_PACKAGE</a></code></td>
<td class="colLast"><code>12</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.MAVEN_PROJECT__DEPENDENCIES">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#MAVEN_PROJECT__DEPENDENCIES">MAVEN_PROJECT__DEPENDENCIES</a></code></td>
<td class="colLast"><code>9</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.MAVEN_PROJECT__GENERATION_MODE">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#MAVEN_PROJECT__GENERATION_MODE">MAVEN_PROJECT__GENERATION_MODE</a></code></td>
<td class="colLast"><code>1</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.MAVEN_PROJECT__GROUP_ID">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#MAVEN_PROJECT__GROUP_ID">MAVEN_PROJECT__GROUP_ID</a></code></td>
<td class="colLast"><code>5</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.MAVEN_PROJECT__PARENT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#MAVEN_PROJECT__PARENT">MAVEN_PROJECT__PARENT</a></code></td>
<td class="colLast"><code>10</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.MAVEN_PROJECT__PREFIX">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#MAVEN_PROJECT__PREFIX">MAVEN_PROJECT__PREFIX</a></code></td>
<td class="colLast"><code>4</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.MAVEN_PROJECT__PROJECT_NAME">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#MAVEN_PROJECT__PROJECT_NAME">MAVEN_PROJECT__PROJECT_NAME</a></code></td>
<td class="colLast"><code>2</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.MAVEN_PROJECT__PROPERTIES">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#MAVEN_PROJECT__PROPERTIES">MAVEN_PROJECT__PROPERTIES</a></code></td>
<td class="colLast"><code>11</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.MAVEN_PROJECT__SOURCE_FOLDER">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#MAVEN_PROJECT__SOURCE_FOLDER">MAVEN_PROJECT__SOURCE_FOLDER</a></code></td>
<td class="colLast"><code>3</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.MAVEN_PROJECT__VERSION">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#MAVEN_PROJECT__VERSION">MAVEN_PROJECT__VERSION</a></code></td>
<td class="colLast"><code>7</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.MAVEN_PROJECT_FEATURE_COUNT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#MAVEN_PROJECT_FEATURE_COUNT">MAVEN_PROJECT_FEATURE_COUNT</a></code></td>
<td class="colLast"><code>13</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.MAVEN_PROJECT_OPERATION_COUNT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#MAVEN_PROJECT_OPERATION_COUNT">MAVEN_PROJECT_OPERATION_COUNT</a></code></td>
<td class="colLast"><code>0</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.NO_CODE_GEN">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#NO_CODE_GEN">NO_CODE_GEN</a></code></td>
<td class="colLast"><code>3</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.NO_CODE_GEN__BASE_ELEMENT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#NO_CODE_GEN__BASE_ELEMENT">NO_CODE_GEN__BASE_ELEMENT</a></code></td>
<td class="colLast"><code>0</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.NO_CODE_GEN_FEATURE_COUNT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#NO_CODE_GEN_FEATURE_COUNT">NO_CODE_GEN_FEATURE_COUNT</a></code></td>
<td class="colLast"><code>1</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.NO_CODE_GEN_OPERATION_COUNT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#NO_CODE_GEN_OPERATION_COUNT">NO_CODE_GEN_OPERATION_COUNT</a></code></td>
<td class="colLast"><code>0</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.PARENT_ARTIFACT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#PARENT_ARTIFACT">PARENT_ARTIFACT</a></code></td>
<td class="colLast"><code>8</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.PARENT_ARTIFACT__ARTIFACT_ID">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#PARENT_ARTIFACT__ARTIFACT_ID">PARENT_ARTIFACT__ARTIFACT_ID</a></code></td>
<td class="colLast"><code>1</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.PARENT_ARTIFACT__BASE_CLASS">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#PARENT_ARTIFACT__BASE_CLASS">PARENT_ARTIFACT__BASE_CLASS</a></code></td>
<td class="colLast"><code>3</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.PARENT_ARTIFACT__GROUP_ID">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#PARENT_ARTIFACT__GROUP_ID">PARENT_ARTIFACT__GROUP_ID</a></code></td>
<td class="colLast"><code>0</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.PARENT_ARTIFACT__VERSION">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#PARENT_ARTIFACT__VERSION">PARENT_ARTIFACT__VERSION</a></code></td>
<td class="colLast"><code>2</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.PARENT_ARTIFACT_FEATURE_COUNT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#PARENT_ARTIFACT_FEATURE_COUNT">PARENT_ARTIFACT_FEATURE_COUNT</a></code></td>
<td class="colLast"><code>4</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.PARENT_ARTIFACT_OPERATION_COUNT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#PARENT_ARTIFACT_OPERATION_COUNT">PARENT_ARTIFACT_OPERATION_COUNT</a></code></td>
<td class="colLast"><code>0</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.PROJECT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#PROJECT">PROJECT</a></code></td>
<td class="colLast"><code>0</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.PROJECT__BASE_MODEL">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#PROJECT__BASE_MODEL">PROJECT__BASE_MODEL</a></code></td>
<td class="colLast"><code>0</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.PROJECT__GENERATION_MODE">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#PROJECT__GENERATION_MODE">PROJECT__GENERATION_MODE</a></code></td>
<td class="colLast"><code>1</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.PROJECT__PREFIX">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#PROJECT__PREFIX">PROJECT__PREFIX</a></code></td>
<td class="colLast"><code>4</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.PROJECT__PROJECT_NAME">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#PROJECT__PROJECT_NAME">PROJECT__PROJECT_NAME</a></code></td>
<td class="colLast"><code>2</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.PROJECT__SOURCE_FOLDER">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#PROJECT__SOURCE_FOLDER">PROJECT__SOURCE_FOLDER</a></code></td>
<td class="colLast"><code>3</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.PROJECT_FEATURE_COUNT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#PROJECT_FEATURE_COUNT">PROJECT_FEATURE_COUNT</a></code></td>
<td class="colLast"><code>5</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.PROJECT_OPERATION_COUNT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#PROJECT_OPERATION_COUNT">PROJECT_OPERATION_COUNT</a></code></td>
<td class="colLast"><code>0</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.PROPERTY">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#PROPERTY">PROPERTY</a></code></td>
<td class="colLast"><code>9</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.PROPERTY__BASE_CLASS">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#PROPERTY__BASE_CLASS">PROPERTY__BASE_CLASS</a></code></td>
<td class="colLast"><code>2</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.PROPERTY__NAME">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#PROPERTY__NAME">PROPERTY__NAME</a></code></td>
<td class="colLast"><code>0</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.PROPERTY__VALUE">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#PROPERTY__VALUE">PROPERTY__VALUE</a></code></td>
<td class="colLast"><code>1</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.PROPERTY_FEATURE_COUNT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#PROPERTY_FEATURE_COUNT">PROPERTY_FEATURE_COUNT</a></code></td>
<td class="colLast"><code>3</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.CodegenPackage.PROPERTY_OPERATION_COUNT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/CodegenPackage.html#PROPERTY_OPERATION_COUNT">PROPERTY_OPERATION_COUNT</a></code></td>
<td class="colLast"><code>0</code></td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>org.eclipse.papyrus.designer.languages.common.profile.Codegen.<a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/GenerationModeKind.html" title="enum in org.eclipse.papyrus.designer.languages.common.profile.Codegen">GenerationModeKind</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.GenerationModeKind.BATCH_VALUE">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/GenerationModeKind.html#BATCH_VALUE">BATCH_VALUE</a></code></td>
<td class="colLast"><code>0</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.common.profile.Codegen.GenerationModeKind.INCREMENTAL_VALUE">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/common/profile/Codegen/GenerationModeKind.html#INCREMENTAL_VALUE">INCREMENTAL_VALUE</a></code></td>
<td class="colLast"><code>1</code></td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?constant-values.html" target="_top">Frames</a></li>
<li><a href="constant-values.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
